Subject: [PATCH v5 5/8 fix] mtd: m25p80: use the SPI nor framework

From: [email-masked] (Huang Shijie)
Date: Fri, 11 Apr 2014 08:32:05 +0800

On Thu, Apr 10, 2014 at 12:29:02PM -0700, Brian Norris wrote:
> > IMHO, we should create a patch or several patches to add the MTD_SPI_NOR
> > to the defconfigs.
> 
> Yeah, I think that's best.
I will create a patch when i back to office.
Or you can create it yourself.

> 
> > > Also, I think m25p80.c is no longer a "self-contained MTD device driver"
> > > and should be moved under drivers/mtd/spi-nor/.
> > If we move the m25p80.c to the drivers/mtd/spi-nor/, we also need to move
> > other drivers too.
> 
> Which ones? I think it only makes sense to move those that depend on the
> same core code (i.e., spi-nor.c), or have a close relation to it (so
> Lee's st_spi_fsm.c is a candidate).

yes, i mean the st_spi_fsm.c and other drivers which will use the
spi-nor core code in the future.

thanks
Huang Shijie